# Delete and stop the service if it already exists.
if (Get-Service elastic-agent -ErrorAction SilentlyContinue) {
  $service = Get-WmiObject -Class Win32_Service -Filter "name='elastic-agent'"
  $service.StopService()
  Start-Sleep -s 1
  $service.delete()
}
